"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownloadModelosDto = exports.downloadModelosSchema = void 0;
const translate_1 = require("../../i18n/translate");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = require("zod");
exports.downloadModelosSchema = zod_1.z.object({
    password: zod_1.z
        .string({ required_error: (0, translate_1.translate)('model.csv.password.required') })
        .min(1, (0, translate_1.translate)('model.csv.password.empty')),
});
class DownloadModelosDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.downloadModelosSchema) {
}
exports.DownloadModelosDto = DownloadModelosDto;
//# sourceMappingURL=downloadModelos.dto.js.map